After syncing iPod, description-less phantom operation keeps animating progress bar and prevents closing Banshee

Bug #864791 reported by Jay S on 2011-10-02
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Banshee
Fix Released
Medium
banshee (Ubuntu)
Undecided
Unassigned

Bug Description

After updating to Banshee 2.2, syncing to iPod is successful, but leaves a phantom operation running with no description. The operation cannot be "stopped," but the iPod can be disconnected.

Images are attached.

== Dialog box when clicking red "X" button ==

Stop Operation

This operation is still performing work. Would you like to stop it?

== Dialog box when trying to close Banshee ==

Important tasks are running

Closing Banshee now will cancel any currently running tasks. They cannot be resumed automatically the next time Banshee is run.

== Terminal output at time of iPod sync ==

[7 Debug 14:13:54.355] Starting DAP sync
[7 Debug 14:13:54.388] Preempting - Downloading Cover Art
[7 Debug 14:13:54.389] Starting
[7 Debug 14:13:54.391] Ending DAP sync
[8 Debug 14:13:54.786] Starting AppleDevice sync thread cycle
[8 Debug 14:13:54.786] Starting - Syncing iPod

** (Banshee:11299): CRITICAL **: itdb_splr_validate: assertion `at != ITDB_SPLAT_UNKNOWN' failed
[8 Info 14:13:55.736] Wrote iPod database
[8 Debug 14:13:55.737] Finished - Syncing iPod
[8 Debug 14:13:55.738] Ending AppleDevice sync thread cycle

== Steps to reproduce ==

1. Click "Sync" button to sync to iPod (mine is a 4th generation Nano)
2. Two operation progress bars appear, one that says "Syncing iPod" and another with no description
3. After the sync succeeds, the "Syncing iPod" progress bar disappears, but the other one remains
4. Clicking the "Stop" button next to the remaining operation (and confirming in the subsequent dialog) does not remove the operation, but instead just adds the text "Stopping..." above it

Jay S (topdownjimmy) wrote :
Jay S (topdownjimmy) wrote :
Jay S (topdownjimmy) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in banshee (Ubuntu):
status: New → Confirmed
Corbin (corbin) wrote :

I have the same problem. I'm using Ubuntu 11.04, and Banshee 2.0 (2.0.0). The first time you sink an iPod this doesn't occur, but every time you sink the iPod after that it does. I have the problem with an iPod Nano 5th gen. and an iPod Touch 2nd gen. The progress bar just goes on forever, and if you click stop it says "stopping..." and still continues forever.

Corbin (corbin) wrote :

I just figured something out. After it syncs, if you try it sink something that can't sync, and it has an error, the ghost task stops. I was using my iPod Touch for my tests.

Steps to repeat:

Sync iPod.
After it is synchronized, there should be that silly ghost process.
Drag a video from your library onto the iPod in the left panel, to sick it. (Banshee doesn't seem to be able to sync videos very well, so in my case any old MPEG4 video works.)
The sync should fail with an error, and the ghost process disappears.

See my attached video for an example.

tags: removed: sync
Rob Pearman (rob-pearman) wrote :

Same problem here with Banshee 2.0.0 on Ubuntu 11.04.

Weird but Corbin's solution seems to work!?

Habib MAALEM (habib-maalem) wrote :

I have the same problem
Banshee 2.2.1
Ubuntu 11.10
iPhone 3GS iOS 4.3.2

Chris Jenkins (christj) wrote :

This is still a bug in Banshee 2.4.0 and it affects Android sync'ing, too.

Chow Loong Jin (hyperair) wrote :

What does the tooltip on the spinner say?

Exeleration-G (exeleration-g) wrote :

@Chow Loong Jin, #10: The spinner doesn't get displayed on Ubuntu 12.04, Banshee 2.4.0.

Corbin's workaround works (iPod 5th generation, 80 GB)

Changed in banshee (Ubuntu):
status: Confirmed → Triaged
Changed in banshee:
importance: Unknown → Medium
status: Unknown → New
Changed in banshee:
importance: Medium → Unknown
status: New → Unknown
Changed in banshee:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in banshee:
status: Confirmed → Fix Released

On 23/08/2012 01:09, Bug Watch Updater wrote:
> ** Changed in: banshee
> Status: Confirmed => Fix Released
>

  affects ubuntu/banshee
  status fixcommited

--
Kind regards,
Loong Jin

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee - 2.5.1-1ubuntu1

---------------
banshee (2.5.1-1ubuntu1) quantal; urgency=low

  * [9615bd3e] Merge from Debian Experimental (LP: #1041245), remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * [77c7309] Drop Workaruond-for-set_Height-Exceptions.patch.
    Applied upstream

banshee (2.5.1-1) experimental; urgency=low

  * [e8e7f55] Imported Upstream version 2.5.1:
    - Notable bugs fixed:
      * AmazonMp3.Store: Fix URL redirection for sign out action
      * bgo#623974: BasicTrackDetailsPage: Blank year spin button when 0
        (LP: #603471)
      * bgo#624976: Gui.Canvas.Rect: log invalid values for Width/Height
        (LP: #873787)
      * bgo#636450: PathPattern: Limit filename length to 200 characters
      * bgo#682510: Mpris: Only raise PropertiesChanged signal if value changed
      * bgo#683359: SourceView: log errors in SetCellDataFunc to avoid crashing
      * bgo#661112: Gui.Canvas.Size: log invalid values for Width/Height
        (LP: #857299)

banshee (2.5.0-1ubuntu1) UNRELEASED; urgency=low

  * [1912c66] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * Additional Launchpad bug fixed:
    - Phantom operation animating progress bar after syncing iPod (LP: #864791)

banshee (2.5.0-1) experimental; urgency=low

  * [2fb3583] Imported Upstream version 2.5.0
  * [40793f9] Refresh patches and drop upstreamed Fix-FTBFS….patch
 -- Chow Loong Jin <email address hidden> Sun, 23 Sep 2012 16:41:43 +0800

Changed in banshee (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.